Subject: bug#33345: 27.0.50; Abort in bidi_cache_iterator_state

From: Stefan Kangas <[email-masked]>
Date: Wed, 25 Nov 2020 01:53:21 -0800

Stefan Monnier <[email-masked]> writes:

>> But this means that the cache is empty, and we can never scan back
>> (scan_dir = -1) when the cache is empty.  So something very strange
>> happened there.
>
> I think it's a case of memory corruption and doesn't really have much to
> do with bidi code.  But I'm not progressing very fast: it's somewhat
> deterministic but it is influenced by elements I'm not aware of, so it's
> pretty nasty.
>
>> Instead of me asking you gobs of questions, perhaps you could give me
>> an ssh login on that system, and arrange for a GDB session which
>> already hit the call to emacs_abort to be in a state where I can
>> switch to it after logging in (with 'screen' or 'tmux', I think).
>> Then I could look around and see if I find out some clues.
>
> It's a machine that's not reachable from the internet and is off most of
> the time.  I haven't yet managed to reproduce it on another machine.
> I'll let you know when I'm making progress,

This bug was reported 2 years ago, so just pinging to see if it's still
relevant.  Thanks.